Version française
Home     About     Download     Resources     Contact us    
Browse thread
Cannot build OCaml using Cygwin
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Gerd Stolpmann <gerd@g...>
Subject: Re: [Caml-list] Cannot build OCaml using Cygwin

Am Mittwoch, den 16.12.2009, 17:00 +0100 schrieb Alain Frisch:
> On 16/12/2009 16:48, Andre Tampubolon wrote:
> > I'm trying to build OCaml 3.11.1 using Cygwin.
> > It's still unsuccessful.
> >
> > $ make -f Makefile.nt world
> > cd byterun ; make -f Makefile.nt  all
> > make[1]: Entering directory `/cygdrive/c/cygwin/home/ocaml-3.11.1/byterun'
> > gcc -mno-cygwin -DOCAML_STDLIB_DIR='"C:/ocamlmgw/lib"' -I"C:\cygwin\bin"
> > -O -mms
> > -bitfields -Wall -Wno-unused -c interp.c
> > gcc: The -mno-cygwin flag has been removed; use a mingw-targeted
> > cross-compiler.
> 
> Recent versions of gcc under Cygwin don't support the -mno-cygwin flag.
> You can still install and use the gcc-3 packages. What I usually do is 
> to copy /bin/gcc-3.exe into $HOME/bin/gcc.exe (and to this directory in 
> front of your PATH).

Another way would be

gcc -V 3 -mno-cygwin

Of course, only for those who don't hardcode gcc arguments...

There is also the /etc/alternatives/gcc symlink which can be set
to /usr/bin/gcc-3.exe to select the default gcc version.

Gerd
-- 
------------------------------------------------------------
Gerd Stolpmann, Bad Nauheimer Str.3, 64289 Darmstadt,Germany 
gerd@gerd-stolpmann.de          http://www.gerd-stolpmann.de
Phone: +49-6151-153855                  Fax: +49-6151-997714
------------------------------------------------------------